/*
 * lcd_eadog102.h
 *
 *  Created on: 12.02.2012
 *      Author: Thomas
 */

#ifndef LCD_EADOG102_H_
#define LCD_EADOG102_H_

/*
 * lcd_eadog102.c
 *
 *  Created on: 12.02.2012
 *      Author: Thomas
 */

#include "types.h"
#include "define.h"

#define XPIXEL 102
#define YPIXEL 64
#define XMAX (XPIXEL-1)
#define YMAX (YPIXEL-1)

#define LCD_COMMAND	0
#define	LCD_DATA	1

//----------------- Definitions -----------
#define DELETE 0
#define ADD	1
#define INVERS 2

#define lcdClearAll() lcdClear(0,0,XPIXEL-1,YPIXEL-1)
#define lcd_fill_all() lcd_fill(0,0,XPIXEL-1,YPIXEL-1)

///*--------------------------------------
//Function:	lcd_init()
//Input:		---
//Output:		---
//Description:Initializes and clears lcd
//--------------------------------------*/
void lcdInit(void);

///*--------------------------------------
//Function:	lcd_send()
//Input:		data, cd
//Output:		---
//Description:send data, as command (cd=0)
//			or simple data (cd=1)
//--------------------------------------*/
void lcdSend(uint8_t data, uint8_t cd);

///*--------------------------------------
//Function:	lcd_clear()
//Input:		xs, ys, xe, ye
//Output:		---
//Description:clear a rectangle
//--------------------------------------*/
void lcdClear(uint8_t xs, uint8_t ys, uint8_t xe, uint8_t ye);

///*--------------------------------------
//Function:	lcd_fill()
//Input:		xs, ys, xe, ye
//Output:		---
//Description:fill a rectangle
//--------------------------------------*/
void lcdFill(uint8_t xs, uint8_t ys, uint8_t xe, uint8_t ye);


///*--------------------------------------
//Function:	lcd_line()
//Input:		xs, ys, xe, ye
//Output:		---
//Description:draw a stright line, please
//			make sure, that the line is
//			either horizontal or
//			vertical
//--------------------------------------*/
void lcdLine(uint8_t xs, uint8_t ys, uint8_t xe, uint8_t ye);

///*--------------------------------------
//Function:	lcd_rect()
//Input:		xs, ys, xe, ye
//Output:		---
//Description:draw a rectanlge
//--------------------------------------*/
void lcdRect(uint8_t xs, uint8_t ys, uint8_t xe, uint8_t ye);

///*--------------------------------------
//Function:	lcd_char()
//Input:		x, y, data, *font, linkmode
//Output:		---
//Description:print a single char on x,y
//--------------------------------------*/
void lcdChar(uint8_t x, uint8_t y, uint8_t data, uint8_t *font, uint8_t linkmode);


///*--------------------------------------
//Function:	lcd_string()
//Input:		x, y, data, *font, linkmode
//Output:		---
//Description:print a string on x,y
//--------------------------------------*/
void lcdString(uint8_t x, uint8_t y, char *data, uint8_t *font, uint8_t linkmode);



#endif /* LCD_EADOG102_H_ */
